Bug 1100143 - manually scaling with haproxy_ctld while application is stopped yields a confusing error message
manually scaling with haproxy_ctld while application is stopped yields a conf...
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.2.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On: 1029679
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-22 02:10 EDT by Yanping Zhang
Modified: 2016-05-25 09:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1029679
Environment:
Last Closed: 2014-05-22 08:15:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2014-05-22 02:10:05 EDT
This bug can be reproduced on puddle 1-2-RHSCL11-2014-05-20,but fixed on ose 2.0 and ose 2.1.

+++ This bug was initially created as a clone of Bug #1029679 +++

Description of problem:

[5282a2a5fa6006aabc000005]\> haproxy_ctld -u
/var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:101:in `initialize': Connection refused - "/var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/run/stats" (Errno::ECONNREFUSED)
        from /var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:101:in `open'
        from /var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:101:in `refresh'
        from /var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:67:in `initialize'
        from /var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:345:in `new'
        from /var/lib/openshift/5282a2a5fa6006aabc000005/haproxy/usr/bin/haproxy_ctld.rb:345:in `<main>'


It would be nice if an error message was returned indicating that the application had been stopped.

--- Additional comment from openshift-github-bot on 2013-11-18 14:51:46 EST ---

Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c362b17efe2037ee6b5a84e0dabe5aa6b447362c
Bug 1029679: handle connection refused error with clean error message

--- Additional comment from Ben Parees on 2013-11-20 12:35:03 EST ---

https://github.com/openshift/origin-server/pull/4192

--- Additional comment from Meng Bo on 2013-11-21 00:26:58 EST ---

Checked on devenv_4056, issue has been fixed.

[php1s-bmengdev.dev.rhcloud.com 528d9863c8c92ebbbf00005e]\> haproxy_ctld -u
An error occurred; try again later: Could not connect to the application.  Check if the application is stopped.
[php1s-bmengdev.dev.rhcloud.com 528d9863c8c92ebbbf00005e]\> haproxy_ctld -d
An error occurred; try again later: Could not connect to the application.  Check if the application is stopped.
Comment 1 Brenton Leanhardt 2014-05-22 08:15:22 EDT
I don't think this is serious enough to fix for 1.2.  Most customers are already running some version of 2.x.

Note You need to log in before you can comment on or make changes to this bug.